﻿using System;
using System.Windows;
using Microsoft.Phone.BackgroundAudio;
using Microsoft.Phone.Controls;

namespace SimpleBackgroundAudio
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        void OnPlayButtonClick(object sender, RoutedEventArgs args)
        {
            AudioTrack audioTrack =
                new AudioTrack(new Uri("http://www.archive.org/download/BeethovenSymphonyNo.9choral/Iv.Presto.mp3"),
                                "Symphony No. 9: 4th Movement",
                                "Felix Weingartner",
                                "Beethoven: Symphony No. 9",
                                null,
                                null,
                                EnabledPlayerControls.Pause);
            BackgroundAudioPlayer.Instance.Track = audioTrack;
        }
    }
}